Subject: Re: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Tue, 21 Feb 2023 12:43:29 +0200

On 21/02/2023 12:19, Po Lu wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> Hovering the mouse over the mode-line does trigger the necessary
>> redisplay. Alt-Tabbing to another window and then back also does
>> that. Is that relevant?
>>
>> Simply moving the mouse (not over the mode-line) doesn't help.
>>
>> The refresh can also happen on its own, in 1-2 seconds.
> 
> I think this isn't a problem with the GLib input code then.
> 
> Alt-tabbing makes the X event reading code explicitly ask for a
> redisplay.  If you build --with-checking=yes,glyphs and call
> `trace-redisplay', what happens when the redisplay does not happen?

Okay, I've rebuilt with --enable-checking=glyphs.

With --eval '(trace-redisplay t)', redisplay always happens. ;-(

That's not the effect of 'checking', though -- I can still repro if I 
don't turn on redisplay tracing (which prints stuff in the background 
window; maybe it's relevant, maybe it's not).